Bug 139131 - RFE: move '--fork' out of configuration file
RFE: move '--fork' out of configuration file
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-11-12 21:49 EST by Enrico Scholz
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-23 11:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-11-12 21:49:27 EST
Description of problem:

Please move the

|   <!-- Fork into daemon mode -->
|   <fork/>

from /etc/dbus-1/system.conf into the initscript and write

|-    daemon --check $servicename $processname --system
|+    daemon --check $servicename $processname --system --fork


As no option exists to override the '<fork/>' from the configuration file
with a CLI option, the current way conflicts with modern init-methods
like minit which do not fork the services.

Alternatively, the configuration file could be marked with
'%config(noreplace)' or a '--nofork' option be added.

Version-Release number of selected component (if applicable):

Comment 1 Harald Hoyer 2004-11-15 07:34:49 EST
reassigning to dbus
Comment 2 John (J5) Palmieri 2004-11-23 11:45:02 EST
This is done upstream with the --nofork option.  

Note You need to log in before you can comment on or make changes to this bug.